Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.beans
Class InvokerBean

    java.lang.Object
      org.apache.sandesha2.storage.beans.RMBean
          org.apache.sandesha2.storage.beans.InvokerBean

All Implemented Interfaces:
  java.io.Serializable

    public class InvokerBean

extends RMBean

This bean is used at the receiving side (of both server and client) There is one object for each application message to be invoked.

See Also:
  Serialized Form

Field Summary
`static int` | `MSG_NO_FLAG`

Constructor Summary
`InvokerBean()`
`InvokerBean(InvokerBean beanToCopy)`
`InvokerBean(java.lang.String key, long msgNo, java.lang.String sequenceId)`

Method Summary
`java.io.Serializable` | `getContext()`
`int` | `getFlags()`
`java.lang.String` | `getMessageContextRefKey()`
`long` | `getMsgNo()`
`java.lang.String` | `getSequenceID()`
`boolean` | `match(RMBean matchInfo)` Check to see if this bean matches the match criteria passed in as matchInfo.
`void` | `setContext(java.io.Serializable context)`
`void` | `setFlags(int flags)`
`void` | `setMessageContextRefKey(java.lang.String messageContextRefKey)`
`void` | `setMsgNo(long msgNo)`
`void` | `setSequenceID(java.lang.String sequenceId)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.sandesha2.storage.beans.RMBean
`getId, getTransaction, setId, setTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_NO_FLAG

    public static final int MSG_NO_FLAG

See Also:
  Constant Field Values

Constructor Detail

### InvokerBean

    public InvokerBean()

### InvokerBean

    public InvokerBean(java.lang.String key,
                       long msgNo,
                       java.lang.String sequenceId)

### InvokerBean

    public InvokerBean(InvokerBean beanToCopy)

Method Detail

### getMessageContextRefKey

    public java.lang.String getMessageContextRefKey()

  Returns:
    Returns the messageContextRefKey.

### setMessageContextRefKey

    public void setMessageContextRefKey(java.lang.String messageContextRefKey)

  Parameters:
    `messageContextRefKey` - The messageContextRefKey to set.

### getMsgNo

    public long getMsgNo()

  Returns:
    Returns the msgNo.

### setMsgNo

    public void setMsgNo(long msgNo)

  Parameters:
    `msgNo` - The msgNo to set.

### getSequenceID

    public java.lang.String getSequenceID()

  Returns:
    Returns the sequenceID.

### setSequenceID

    public void setSequenceID(java.lang.String sequenceId)

  Parameters:
    `sequenceID` - The sequenceID to set.

### getContext

    public java.io.Serializable getContext()

### setContext

    public void setContext(java.io.Serializable context)

### getFlags

    public int getFlags()

### setFlags

    public void setFlags(int flags)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### match

    public boolean match(RMBean matchInfo)

  Description copied from class: `RMBean`
  Check to see if this bean matches the match criteria passed in as matchInfo. In order for a property of the bean to be checked you must set the property on the matchInfo.

  Specified by:
    `match` in class `RMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.